For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList files
      • POSTUpload a file
      • GETGet a file
      • DELDelete a file
      • PATCHUpdate a file
      • GETDownload a file
      • POSTClone a file
      • POSTDetect header
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceFiles

List files

GET
https://api.x.flatfile.com/v1/files
GET
/v1/files
$curl https://api.x.flatfile.com/v1/files \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": [
3 {
4 "id": "us_fl_YOUR_ID",
5 "name": "Test File",
6 "ext": "csv",
7 "mimetype": "text/csv",
8 "encoding": "7bit",
9 "status": "partial",
10 "size": 81953,
11 "bytesReceived": 81593,
12 "createdAt": "2023-11-15T19:31:33.015Z",
13 "updatedAt": "2023-11-15T19:31:33.015Z",
14 "spaceId": "us_sp_YOUR_ID",
15 "description": "This is a test file",
16 "mode": "import"
17 }
18 ],
19 "pagination": {
20 "currentPage": 3,
21 "pageCount": 50,
22 "totalCount": 100
23 }
24}
Was this page helpful?
Previous

Upload a file

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

spaceIdstringOptional
pageSizeintegerOptional

Number of files to return in a page (default 20)

pageNumberintegerOptional
Based on pageSize, which page of files to return
modeenumOptional
The storage mode of file to fetch, defaults to "import"
Allowed values:

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info